petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecMaxPointwiseDivide

Computes the maximum of the componentwise division max = max_i abs(x_i/y_i).

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecMaxPointwiseDivide(Vec x,Vec y,PetscReal *max)

Logically Collective on Vec Many br

### Input Parameters

x, y -the vectors Many br

### Output Parameter

max -the result Many br

Many br

Notes: x and y may be the same vector Many brif a particular y_i is zero, it is treated as 1 in the above formula Many br

### See Also

VecPointwiseDivide(), VecPointwiseMult(), VecPointwiseMax(), VecPointwiseMin(), VecPointwiseMaxAbs()

Level:advanced
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages